org.optaplanner.core.impl.score.stream.drools.uni

## Class DroolsUniCondition<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition<DroolsUniRuleStructure<A>>
  - - org.optaplanner.core.impl.score.stream.drools.uni.DroolsUniCondition<A>

-     public final class DroolsUniCondition<A>
      extends DroolsCondition<DroolsUniRuleStructure<A>>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `ruleStructure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsUniCondition(Class<A> aVariableType, LongSupplier variableIdSupplier)`
    `DroolsUniCondition(DroolsUniRuleStructure<A> ruleStructure)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<NewA,__> DroolsUniCondition<NewA>` | `andCollect(UniConstraintCollector<A,__,NewA> collector)`
    `DroolsUniCondition<A>` | `andFilter(Predicate<A> predicate)`
    `<NewA> DroolsUniCondition<NewA>` | `andGroup(Function<A,NewA> groupKeyMapping)`
    `<NewA,NewB> DroolsBiCondition<NewA,NewB>` | `andGroupBi(Function<A,NewA> groupKeyAMapping, Function<A,NewB> groupKeyBMapping)`
    `<NewA,NewB,NewC> DroolsTriCondition<NewA,NewB,NewC>` | `andGroupBiWithCollect(Function<A,NewA> groupKeyAMapping, Function<A,NewB> groupKeyBMapping, UniConstraintCollector<A,?,NewC> collector)`
    `<NewA,NewB,NewC,NewD> DroolsQuadCondition<NewA,NewB,NewC,NewD>` | `andGroupBiWithCollectBi(Function<A,NewA> groupKeyAMapping, Function<A,NewB> groupKeyBMapping, UniConstraintCollector<A,?,NewC> collectorC, UniConstraintCollector<A,?,NewD> collectorD)`
    `<NewA,NewB> DroolsBiCondition<NewA,NewB>` | `andGroupWithCollect(Function<A,NewA> groupKeyMapping, UniConstraintCollector<A,?,NewB> collector)`
    `<B> DroolsBiCondition<A,B>` | `andJoin(DroolsUniCondition<B> bCondition, AbstractBiJoiner<A,B> biJoiner)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, Function<A,BigDecimal> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToIntFunction<A> matchWeighter)`
    `List<org.drools.model.RuleItemBuilder<?>>` | `completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal, ToLongFunction<A> matchWeighter)`
    `static org.drools.model.Index.ConstraintType` | `getConstraintType(JoinerType type)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsCondition

      `collect, getInnerAccumulatePattern, getRuleStructure, group, groupBi, groupBiWithCollect, groupBiWithCollectBi, groupWithCollect, impactScore, impactScore, impactScore, impactScore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsUniCondition

          public DroolsUniCondition(Class<A> aVariableType,
                                    LongSupplier variableIdSupplier)

    - #### DroolsUniCondition

          public DroolsUniCondition(DroolsUniRuleStructure<A> ruleStructure)

  - ### Method Detail

    - #### getConstraintType

          public static org.drools.model.Index.ConstraintType getConstraintType(JoinerType type)

    - #### andFilter

          public DroolsUniCondition<A> andFilter(Predicate<A> predicate)

    - #### andCollect

          public <NewA,__> DroolsUniCondition<NewA> andCollect(UniConstraintCollector<A,__,NewA> collector)

    - #### andGroup

          public <NewA> DroolsUniCondition<NewA> andGroup(Function<A,NewA> groupKeyMapping)

    - #### andGroupWithCollect

          public <NewA,NewB> DroolsBiCondition<NewA,NewB> andGroupWithCollect(Function<A,NewA> groupKeyMapping,
                                                                              UniConstraintCollector<A,?,NewB> collector)

    - #### andGroupBi

          public <NewA,NewB> DroolsBiCondition<NewA,NewB> andGroupBi(Function<A,NewA> groupKeyAMapping,
                                                                     Function<A,NewB> groupKeyBMapping)

    - #### andGroupBiWithCollect

          public <NewA,NewB,NewC> DroolsTriCondition<NewA,NewB,NewC> andGroupBiWithCollect(Function<A,NewA> groupKeyAMapping,
                                                                                           Function<A,NewB> groupKeyBMapping,
                                                                                           UniConstraintCollector<A,?,NewC> collector)

    - #### andGroupBiWithCollectBi

          public <NewA,NewB,NewC,NewD> DroolsQuadCondition<NewA,NewB,NewC,NewD> andGroupBiWithCollectBi(Function<A,NewA> groupKeyAMapping,
                                                                                                        Function<A,NewB> groupKeyBMapping,
                                                                                                        UniConstraintCollector<A,?,NewC> collectorC,
                                                                                                        UniConstraintCollector<A,?,NewD> collectorD)

    - #### andJoin

          public <B> DroolsBiCondition<A,B> andJoin(DroolsUniCondition<B> bCondition,
                                                    AbstractBiJoiner<A,B> biJoiner)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToIntFunction<A> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               ToLongFunction<A> matchWeighter)

    - #### completeWithScoring

          public List<org.drools.model.RuleItemBuilder<?>> completeWithScoring(org.drools.model.Global<? extends AbstractScoreHolder<?>> scoreHolderGlobal,
                                                                               Function<A,BigDecimal> matchWeighter)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.